curl --location --request POST 'https://api.xente.co/api/transactions/payouts/airtime' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"requestId": "92399933543589", //Id from your system to uniquely identify the transaction
"batchId": "batch5678", //Identifier og the batch from your system.
"amount": 1000,
"type": "DEBIT",
"message": "Send airtime facilitation",
"metadata": "Expense code 1000023",
"product": {
"id": "MTNAIRTIMEUG",
"productItemId": "MTNAIRTIMEUG_MTNAIRTIMEUG"
},
"beneficiary": {
"name": "John Doe",
"emailAddress": "johndoe@example.com",
"phoneNumber": "+1234567890",
"data": {
"phoneNumber": "+1234567890" //The phone number to be topped up
}
}
}'
{
"code": 0,
"message": "Transaction Has Been Successfully Received. Notification Will Be Sent Shortly",
"data": {
"requestId": "92399933543589",
"batchId": "batch5678",
"transactionId": "0f595604-2c80-4d32-d3e4-08dc37af5a91",
"status": "PROCESSING",
"message": "Processing Debit Transaction. Instant Payment Notification will be sent shortly",
"createdOn": "2/27/2024 4:15:45 PM"
}
},
"code": 0,
"status": "success"
}
Airtime
Post airtime
This endpoint posts a new airtime transaction
POST
/
api
/
transactions
/
payouts
/
airtime
curl --location --request POST 'https://api.xente.co/api/transactions/payouts/airtime' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"requestId": "92399933543589", //Id from your system to uniquely identify the transaction
"batchId": "batch5678", //Identifier og the batch from your system.
"amount": 1000,
"type": "DEBIT",
"message": "Send airtime facilitation",
"metadata": "Expense code 1000023",
"product": {
"id": "MTNAIRTIMEUG",
"productItemId": "MTNAIRTIMEUG_MTNAIRTIMEUG"
},
"beneficiary": {
"name": "John Doe",
"emailAddress": "johndoe@example.com",
"phoneNumber": "+1234567890",
"data": {
"phoneNumber": "+1234567890" //The phone number to be topped up
}
}
}'
{
"code": 0,
"message": "Transaction Has Been Successfully Received. Notification Will Be Sent Shortly",
"data": {
"requestId": "92399933543589",
"batchId": "batch5678",
"transactionId": "0f595604-2c80-4d32-d3e4-08dc37af5a91",
"status": "PROCESSING",
"message": "Processing Debit Transaction. Instant Payment Notification will be sent shortly",
"createdOn": "2/27/2024 4:15:45 PM"
}
},
"code": 0,
"status": "success"
}
Body
string
A unique identifier for the request.
string
A unique identifier for the batch.
string
The account number associated with the request.
number
The monetary amount involved in the request.
string
The type of request, initially not set.
string
An optional message associated with the request.
string
Additional metadata as a string.
string
The product’s unique identifier.
string
A specific item identifier within the product.
string
The beneficiary’s unique identifier.
string
The beneficiary’s name.
string
The beneficiary’s email address.
string
The beneficiary’s phone number.
string
The phone number to be topped up.
Response
number
Indicates whether the call was successful. 0 if successful, error code if not.
string
Status message on outcome of the API call.
string
General message about the transaction status.
object
The contents of the transaction data.
Show Toggle object
Show Toggle object
curl --location --request POST 'https://api.xente.co/api/transactions/payouts/airtime' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"requestId": "92399933543589", //Id from your system to uniquely identify the transaction
"batchId": "batch5678", //Identifier og the batch from your system.
"amount": 1000,
"type": "DEBIT",
"message": "Send airtime facilitation",
"metadata": "Expense code 1000023",
"product": {
"id": "MTNAIRTIMEUG",
"productItemId": "MTNAIRTIMEUG_MTNAIRTIMEUG"
},
"beneficiary": {
"name": "John Doe",
"emailAddress": "johndoe@example.com",
"phoneNumber": "+1234567890",
"data": {
"phoneNumber": "+1234567890" //The phone number to be topped up
}
}
}'
{
"code": 0,
"message": "Transaction Has Been Successfully Received. Notification Will Be Sent Shortly",
"data": {
"requestId": "92399933543589",
"batchId": "batch5678",
"transactionId": "0f595604-2c80-4d32-d3e4-08dc37af5a91",
"status": "PROCESSING",
"message": "Processing Debit Transaction. Instant Payment Notification will be sent shortly",
"createdOn": "2/27/2024 4:15:45 PM"
}
},
"code": 0,
"status": "success"
}